<?php 

	$filter_html = new Yab_Filter_Html();	
	
	$nbLigne=count($liste);
 	$compteur=0;

	function afficherOrdre($total, $nbLigne) {
 		for ($i=1; $i<=$total;$i++) {
 			if ($i==$nbLigne)
 				echo "<option selected>$i</option>";
 			else
 				echo "<option>$i</option>";
 		}
 	}
  
    if($this->getSession()->has('flash_status')){
?>
		<div id="div_alert">
		  <div class="alert alert-dismissable alert-<?php echo $this->getSession()->flash('flash_status'); ?>" style="margin-top: -182px;">
			<!-- Nota :  flash_status = warning | danger | success | info -->
			<button type="button" class="close" data-dismiss="alert">X</button>
			<h4><?php echo $this->getSession()->flash('flash_title', 'Html'); ?></h4>
			<?php echo $this->getSession()->flash('flash_message', 'Html'); ?>
		  </div>
		</div>
<?php 
	}
  
  // class css bootstrap
	echo '<div>
    <table id="tableReference" class="categorie_table_ref" style="margin: 0 auto; width: 100%">
		<tbody>
			 <tr class="table_head gestion_bordures">
				<!-- <th class="txt-position">Visualisation et modification de la table de référence sélectionnée</th> -->
			 </tr>'; 
		
			echo '<tr class="white gestion_bordures border_ref">
			
			<th class="ref_gestion_taille_affichage th_center txt-position padding_reference" id="l_libelle">Libellé</th>
			<th class="ref_gestion_taille_affichage th_center" id="l_visible">Visible</th>
			<th class="ref_gestion_taille_affichage th_center" id="l_ordre">Ordre
				<input type="hidden" id="ordreMax" value="'.$maxordre . '" />
			</th>
			<th colspan="2" class="ref_gestion_taille_affichage txt-position"></th>
				
			</tr>';
		 
			foreach ($liste as $key => $var)
			{
				$compteur++;
				echo '<tr class="gestion_tr_color_ref gestion_bordures">';
				foreach ($var as $key1 => $var1)
				{
					$id = $var["id"];
					
					if ($key1 =='categorie_value')
					{
						echo '<td class="txt-position">
							<input class="input-transparent input_style" type="text" name="libelle" id="libelle_'.$id.'" value=\''.$var->get('categorie_value', $filter_html).'\' onchange="ajaxReference(' . "'updateLibelle'" . ', '.$id.');" onFocus="notifyUpdate()" /></td>';
					}
					elseif ($key1 == 'visible')
					{
						echo '<td class="ref_gestion_taille_affichage th_center">';
						if ($var1 == 1)
							echo '<input type="checkbox" name="visibleCreer" id="visible_'.$id.'" checked="checked" onClick="ajaxReference(' . "'updateVisible'" . ', '.$id.');" /></td>';
						else
							echo '<input type="checkbox" name="visibleCreer" id="visible_'.$id.'" onClick="ajaxReference(' . "'updateVisible'" . ', '.$id.');" /></td>';
							
						/*<input class="input-transparent input_style" type="number" min="0" max="1" name="visible" id="visible_'.$id.'" value="'.$var1.'" onchange="ajaxReference(0, '.$id.');" onFocus="notifyUpdate()" />*/
						echo '</td>';
		
						echo '<td class="ref_gestion_taille_affichage th_center">';
		
						echo '<input type="hidden" id="ordreA_'.$id.'" value="'.$compteur.'"/>';
						echo '<select class="color select_style" style="width:50px;" id="ordreN_'.$id.'"name="ordre"onchange="ajaxReference(' . "'updateOrdre'" . ', '.$id.');">' ;
						afficherOrdre($nbLigne, $compteur);
						echo '</select></td>';
					}
				}
				echo '<td class="th_center">';
		  if(!empty( $nb_relation ) ) {
			 echo '<span style="font-size: 18px;" class="glyphicon glyphicon-link" onClick="ajoutRelation(\'ajaxAfficher\', \'consulter\', \''. $id .'\')"  title="Ajouter une relation" ></span>';
		  } 
		  echo '</td>' ;
				echo '<td class="th_center">';
				if ($var["system"]==0) {
					echo '<span name="delete" id="delete" value="" class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;" alt="Supprimer" title="Supprimer cette cat&eacute;gorie" onClick="ajaxReference(' . "'delete'" . ', '.$id.')"></span></td>'; 
		   } else if ($var["system"]==1) {
				echo '<span name="delete" id="delete" value="" class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;" alt="Supprimer" title="Supprimer cette cat&eacute;gorie"></span></td>'; 
		   } else {
			  echo '</td>';           
		   }
		   echo "</tr>";
			}
 		echo '</tbody>';
 	echo '</table></div>';
?>    
      